com.google.appengine.api.datastore

## Class EntityProtoComparators.EntityProtoComparator

- java.lang.Object
- - com.google.appengine.api.datastore.EntityProtoComparators.EntityProtoComparator

- All Implemented Interfaces:
    java.util.Comparator<OnestoreEntity.EntityProto>
  Enclosing class:
    EntityProtoComparators

      public static final class EntityProtoComparators.EntityProtoComparator
      extends java.lang.Object

  A comparator for `com.google.storage.onestore.v3.OnestoreEntity.EntityProto` objects with the same ordering as `EntityComparator`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityProtoComparator(java.util.List<Order> orders)`
    `EntityProtoComparator(java.util.List<Order> orders, java.util.List<Filter> filters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(EntityT entityA, EntityT entityB)`
    `java.util.List<Order>` | `getAdjustedOrders()`
    `boolean` | `matches(OnestoreEntity.EntityProto proto)`
    `boolean` | `matches(OnestoreEntity.Property prop)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### EntityProtoComparator

          public EntityProtoComparator(java.util.List<Order> orders)

    - #### EntityProtoComparator

          public EntityProtoComparator(java.util.List<Order> orders,
                                       java.util.List<Filter> filters)

  - ### Method Detail

    - #### getAdjustedOrders

          public java.util.List<Order> getAdjustedOrders()

    - #### matches

          public boolean matches(OnestoreEntity.EntityProto proto)

    - #### matches

          public boolean matches(OnestoreEntity.Property prop)

    - #### compare

          public int compare(EntityT entityA,
                             EntityT entityB)

      Specified by:
        `compare` in interface `java.util.Comparator<EntityT>`